phpBB3

Discussion of general topics related to the new version and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Forum rules
Discussion of general topics related to the new release and its place in the world. Don't discuss new features, report bugs, ask for support, et cetera. Don't use this to spam for other boards or attack those boards!
Post Reply
test100
Registered User
Posts: 1
Joined: Wed Sep 14, 2005 9:15 am

phpBB3

Post by test100 »

Where can I download the newset beta of phpBB3?
User avatar
Eelke
Registered User
Posts: 606
Joined: Thu Dec 20, 2001 8:00 am
Location: Bussum, NL
Contact:

Re: phpBB3

Post by Eelke »

phpBB3 is not in beta, it is currently being actively developed (beta implies work is basically done and testing is needed to iron out the last glitches). You can get a CVS snapshot, which is completely unsupported and should not be used for live environments.
User avatar
poyntesm
Registered User
Posts: 176
Joined: Fri May 13, 2005 4:08 pm
Location: Dublin, Ireland
Contact:

Re: phpBB3

Post by poyntesm »

You can not.

phhpBB3 has not yet reached the beta stage. There is no beta to download.

There are CVS snapshots that are available. However this code is unfinished, unsupported and will change. So it is not recommened that normal forum users install it.

Hope that helps.
User avatar
Dog Cow
Registered User
Posts: 271
Joined: Wed May 25, 2005 2:14 pm

Re: phpBB3

Post by Dog Cow »

poyntesm wrote: You can not.

phhpBB3 has not yet reached the beta stage. There is no beta to download.

There are CVS snapshots that are available. However this code is unfinished, unsupported and will change. So it is not recommened that normal forum users install it.

Hope that helps.
Oh, phooey! I've got a copy of 2.2 running on my computer at home, there was nothing hard to install about it. It has some weird bugs, I'll admit, but it will run!

But, I will agree, as cool as 2.2 and 3 seem, you should not run them on a live website!

(But what about this forum? Isn't it running 2.2 or 3?!)
wGEric
Registered User
Posts: 521
Joined: Wed Jun 11, 2003 2:07 am
Contact:

Re: phpBB3

Post by wGEric »

This is running 2.1 which is the development version for 3.0. It was going to be 2.2 but was changed to 3.0. Do some searching to find out why.
Eric
rivaldo
Registered User
Posts: 269
Joined: Wed Feb 23, 2005 1:05 am
Contact:

Re: phpBB3

Post by rivaldo »

wGEric wrote: This is running 2.1 which is the development version for 3.0. It was going to be 2.2 but was changed to 3.0.
Sounds like something from a "Monty Python" script.
User avatar
A_Jelly_Doughnut
Registered User
Posts: 1780
Joined: Wed Jun 04, 2003 4:23 pm

Re: phpBB3

Post by A_Jelly_Doughnut »

How about a "Monty PHP" script?
A_Jelly_Doughnut
bigbear
Registered User
Posts: 4
Joined: Sun Sep 25, 2005 12:21 pm

Re: phpBB3

Post by bigbear »

Thought of posting here instead of creating a new thread... encountered some installation problem with the CVS snapshot. Couldn't find the answer using the search function

Code: Select all

SQL ERROR [ mysql ]

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ORDER BY a.forum_id, ao.auth_option' at line 7 [1064]

CALLING PAGE

/phpBB2/index.php&

SQL

SELECT ao.auth_option, a.user_id, a.forum_id, a.auth_setting FROM phpbb_auth_options ao, phpbb_auth_users a WHERE ao.auth_option_id = a.auth_option_id AND a.user_id = ORDER BY a.forum_id, ao.auth_option
I think maybe high on the list of phpBB3 should be a better search engine. :)
Thanks for looking, and hopefully there'll be a solution.

PS: I have no problems installing phpBB2, drupal, mambo and other scripts on my system.
Yawnster
Registered User
Posts: 342
Joined: Sat Jan 29, 2005 9:18 pm
Location: London, UK
Contact:

Re: phpBB3

Post by Yawnster »

bigbear wrote: Thought of posting here instead of creating a new thread... encountered some installation problem with the CVS snapshot. Couldn't find the answer using the search function

Code: Select all

SQL ERROR [ mysql ]

You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'ORDER BY a.forum_id, ao.auth_option' at line 7 [1064]

CALLING PAGE

/phpBB2/index.php&

SQL

SELECT ao.auth_option, a.user_id, a.forum_id, a.auth_setting FROM phpbb_auth_options ao, phpbb_auth_users a WHERE ao.auth_option_id = a.auth_option_id AND a.user_id = ORDER BY a.forum_id, ao.auth_option
I think maybe high on the list of phpBB3 should be a better search engine. :)
Thanks for looking, and hopefully there'll be a solution.

PS: I have no problems installing phpBB2, drupal, mambo and other scripts on my system.
lol how many times.. u even removed the notice.. this software is unstable, unsupported and often will not work.. if you cannot read the error messages, determine the problem and fix it then thats tough.. Again phpBB3 is unsupported please do not post again with questions like this...
User avatar
the_dan
Registered User
Posts: 700
Joined: Thu Apr 01, 2004 7:36 pm

Re: phpBB3

Post by the_dan »

The new search engine, once fully working and implemented with MySQL fulltext searching should be very powerfull indeed.
Post Reply